CREATE TABLE CRST_AP_FINANCIALS_PARAM
(
  LAST_UPDATE_DATE                DATE,
  LAST_UPDATED_BY                 NUMBER(15),
  SET_OF_BOOKS_ID                 NUMBER(15),
  PAYMENT_METHOD_LOOKUP_CODE      VARCHAR2(25 BYTE),
  USER_DEFINED_VENDOR_NUM_CODE    VARCHAR2(25 BYTE),
  VENDOR_NUM_START_NUM            NUMBER,
  SHIP_TO_LOCATION_ID             NUMBER(15),
  BILL_TO_LOCATION_ID             NUMBER(15),
  SHIP_VIA_LOOKUP_CODE            VARCHAR2(25 BYTE),
  FOB_LOOKUP_CODE                 VARCHAR2(25 BYTE),
  TERMS_ID                        NUMBER(15),
  ALWAYS_TAKE_DISC_FLAG           VARCHAR2(1 BYTE),
  PAY_DATE_BASIS_LOOKUP_CODE      VARCHAR2(25 BYTE),
  INVOICE_CURRENCY_CODE           VARCHAR2(15 BYTE),
  PAYMENT_CURRENCY_CODE           VARCHAR2(15 BYTE),
  ACCTS_PAY_CODE_COMBINATION_ID   NUMBER(15),
  PREPAY_CODE_COMBINATION_ID      NUMBER(15),
  DISC_TAKEN_CODE_COMBINATION_ID  NUMBER(15),
  FUTURE_PERIOD_LIMIT             NUMBER(3),
  RESERVE_AT_COMPLETION_FLAG      VARCHAR2(1 BYTE),
  RES_ENCUMB_CODE_COMBINATION_ID  NUMBER(15),
  REQ_ENCUMBRANCE_FLAG            VARCHAR2(1 BYTE),
  REQ_ENCUMBRANCE_TYPE_ID         NUMBER(15),
  PURCH_ENCUMBRANCE_FLAG          VARCHAR2(1 BYTE),
  PURCH_ENCUMBRANCE_TYPE_ID       NUMBER(15),
  INV_ENCUMBRANCE_TYPE_ID         NUMBER(15),
  MANUAL_VENDOR_NUM_TYPE          VARCHAR2(25 BYTE),
  INVENTORY_ORGANIZATION_ID       NUMBER(15),
  LAST_UPDATE_LOGIN               NUMBER(15),
  CREATION_DATE                   DATE,
  CREATED_BY                      NUMBER(15),
  FREIGHT_TERMS_LOOKUP_CODE       VARCHAR2(25 BYTE),
  RFQ_ONLY_SITE_FLAG              VARCHAR2(1 BYTE),
  RECEIPT_ACCEPTANCE_DAYS         NUMBER(15),
  BUSINESS_GROUP_ID               NUMBER(15),
  EXPENSE_CHECK_ADDRESS_FLAG      VARCHAR2(30 BYTE),
  TERMS_DATE_BASIS                VARCHAR2(25 BYTE),
  USE_POSITIONS_FLAG              VARCHAR2(1 BYTE),
  RATE_VAR_CODE_COMBINATION_ID    NUMBER(15),
  HOLD_UNMATCHED_INVOICES_FLAG    VARCHAR2(1 BYTE),
  EXCLUSIVE_PAYMENT_FLAG          VARCHAR2(1 BYTE),
  REVISION_SORT_ORDERING          NUMBER,
  VAT_REGISTRATION_NUM            VARCHAR2(20 BYTE),
  VAT_COUNTRY_CODE                VARCHAR2(15 BYTE),
  RATE_VAR_GAIN_CCID              NUMBER(15),
  RATE_VAR_LOSS_CCID              NUMBER(15),
  ORG_ID                          NUMBER(15),
  BANK_CHARGE_BEARER              VARCHAR2(1 BYTE),
  VAT_CODE                        VARCHAR2(15 BYTE),
  MATCH_OPTION                    VARCHAR2(25 BYTE),
  NON_RECOVERABLE_TAX_FLAG        VARCHAR2(1 BYTE),
  TAX_ROUNDING_RULE               VARCHAR2(30 BYTE),
  PRECISION                       NUMBER(1),
  MINIMUM_ACCOUNTABLE_UNIT        NUMBER,
  DEFAULT_RECOVERY_RATE           NUMBER,
  CASH_BASIS_ENC_NR_TAX           VARCHAR2(30 BYTE),
  FUTURE_DATED_PAYMENT_CCID       NUMBER(15),
  EXPENSE_CLEARING_CCID           NUMBER(15),
  MISC_CHARGE_CCID                NUMBER(15),
  GLOBAL_ATTRIBUTE_CATEGORY       VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE1               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE2               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE3               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE4               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE5               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE6               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE7               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE8               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE9               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE10              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE11              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE12              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE13              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE14              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE15              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE16              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE17              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE18              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE19              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE20              VARCHAR2(150 BYTE),
  DUMMY                           CHAR(1),
  LAST_UPDATED_BY_NAME            VARCHAR2(100),
  SOB_SHORT_NAME                  VARCHAR2(100),
  SHIP_TO_LOC_NAME                VARCHAR2(100),
  BILL_TO_LOC_NAME                VARCHAR2(100),
  AP_TERM_NAME                    VARCHAR2(100),
  ACCTS_PAY_CCID_D                VARCHAR2(100),
  PREPAY_CCID_D                   VARCHAR2(100),
  DISC_TAKEN_CCID_D               VARCHAR2(100),
  RES_ENCUMB_CCID_D               VARCHAR2(100),
  INVENTORY_ORG_NAME              VARCHAR2(240),
  CREATED_BY_NAME                 VARCHAR2(100),
  BG_NAME                         VARCHAR2(240),
  RATE_VAR_CCID_D                 VARCHAR2(100),
  RATE_VAR_GAIN_CCID_D            VARCHAR2(100),
  RATE_VAR_LOSS_CCID_D            VARCHAR2(100),
  ORG_NAME                        VARCHAR2(240),
  FUTURE_DATED_PAYMENT_CCID_D     VARCHAR2(100),
  EXPENSE_CLEARING_CCID_D         VARCHAR2(100),
  MISC_CHARGE_CCID_D              VARCHAR2(100)
);
